object Manual: TManual
  Left = 250
  Top = 114
  Width = 458
  Height = 502
  Caption = 'Manual'
  Color = clBtnFace
  Font.Charset = DEFAULT_CHARSET
  Font.Color = clWindowText
  Font.Height = -11
  Font.Name = 'MS Sans Serif'
  Font.Style = []
  OldCreateOrder = False
  OnCreate = OnCreateForm
  DesignSize = (
    450
    468)
  PixelsPerInch = 96
  TextHeight = 13
  object titleLabel: TLabel
    Left = 8
    Top = 8
    Width = 148
    Height = 24
    Caption = 'ImmersionR3R6'
    Font.Charset = DEFAULT_CHARSET
    Font.Color = clMaroon
    Font.Height = -19
    Font.Name = 'MS Sans Serif'
    Font.Style = [fsBold]
    ParentFont = False
  end
  object VersionLabel: TLabel
    Left = 164
    Top = 14
    Width = 171
    Height = 16
    Caption = 'Version 0.5 ,  April 3, 2009'
    Font.Charset = ANSI_CHARSET
    Font.Color = clNavy
    Font.Height = -13
    Font.Name = 'Tahoma'
    Font.Style = [fsBold]
    ParentFont = False
  end
  object ManualColonLabel: TLabel
    Left = 8
    Top = 116
    Width = 59
    Height = 18
    Caption = 'Manual:'
    Color = clBtnFace
    Font.Charset = ANSI_CHARSET
    Font.Color = clBlack
    Font.Height = -15
    Font.Name = 'Tahoma'
    Font.Style = [fsBold]
    ParentColor = False
    ParentFont = False
  end
  object PurposeLabel: TLabel
    Left = 8
    Top = 36
    Width = 221
    Height = 18
    Caption = '3-manifolds immersed in R^6'
    Font.Charset = ANSI_CHARSET
    Font.Color = clNavy
    Font.Height = -15
    Font.Name = 'Tahoma'
    Font.Style = [fsBold]
    ParentFont = False
  end
  object authorLabel: TLabel
    Left = 8
    Top = 58
    Width = 408
    Height = 48
    Caption = 
      'by Angel Montesinos-Amilibia'#13#10'Dept. of Geometry and Topology, Un' +
      'iversity of Valencia (Spain)'#13#10'email address: montesin@uv.es'
    Font.Charset = ANSI_CHARSET
    Font.Color = clNavy
    Font.Height = -13
    Font.Name = 'Tahoma'
    Font.Style = [fsBold]
    ParentFont = False
  end
  object RichEdit1: TRichEdit
    Left = 8
    Top = 136
    Width = 435
    Height = 327
    Anchors = [akLeft, akTop, akRight, akBottom]
    Font.Charset = ANSI_CHARSET
    Font.Color = clWindowText
    Font.Height = -13
    Font.Name = 'Courier New'
    Font.Style = []
    HideScrollBars = False
    Lines.Strings = (
      'LIST OF NAMES AND MANOEUVRES'
      ''
      'Names:'
      '  Curvature panel: the big left panel. On it it is drawn'
      '      the Veronese of curvature or the Focal locus.'
      ''
      '  Domain panel: the right white panel. It represents the'
      '      two first coordinates of the domain  U  of the map'
      '      f:U --> R^6. A little red circle that can be moved'
      '      with the mouse signals the current position of the'
      '      first two coordinates in the domain where the'
      '      Veronese of the Focal locus has been drawn.'
      ''
      '  Tangent space panel: That in a separate window. It is used'
      '      for obtaining graphic data about the Veronese in the'
      '      tangent sphere, or in its projective space.'
      ''
      '  w-meter: just above the Domain panel there is the edit'
      '      field for the third coordinate of the domain, and'
      '      a meter for changing easily its value with the mouse.'
      ''
      '  Function data panel: above the w-meter. On it you will see the'
      '      values of the coordinates and other functions at the'
      '      point currently signaled by the mouse.'
      ''
      '  Drag: move the mouse with the left button pressed.'
      ''
      '  Right-drag: move the mouse with the right button pressed.'
      ''
      
        '  Right-drag + <Key>  : right-drag the mouse while keeping press' +
        'ed'
      '       that Key.'
      ''
      ''
      'Manoeuvres:'
      ''
      '  Move the mouse over the Domain panel or over the w-meter: the'
      
        '         program shows in the Function data panel the values of ' +
        'some'
      '         functions at the current position of the mouse.'
      ''
      
        '  Drag the little spot in the domain:  "ImmersionR3T6" moves the' +
        ' spot,'
      
        '         updates the corresponding values of the edit fields '#39'u=' +
        #39' and'
      
        '         '#39'v='#39' and draws in near real time the Veronese or the Fo' +
        'cal locus.'
      ''
      
        '  Drag in the w-meter: "ImmersionR3T6" moves the meter, updates ' +
        'the'
      '         value of the edit field '#39'w='#39' and draws the Veronese.'
      ''
      
        '  Right-drag in the Curvature panel: the Veronese or the Focal s' +
        'et is rotated.'
      ''
      
        '  Right-drag + <Shift> : If the program is drawing currently the' +
        ' Veronese,'
      
        '         it increments the size of the drawing when the mouse mo' +
        'ves up'
      
        '         and decrements if it moves down. When the program is dr' +
        'awing the'
      
        '         Focal locus: is the moujse moves up, the program increm' +
        'ents the'
      
        '         size (in the normal space) of the cube where the Focal ' +
        'locus is'
      
        '         calculated and drawn; if the mouse moves down, that cub' +
        'e is'
      '         diminished.'
      ''
      
        '  Right-drag + <Ctrl> : Translates the Veronese or the Focal loc' +
        'us'
      ''
      
        '  Right-drag in the Tangent space panel: when in the option "Uni' +
        't'
      '         Sphere in Tangent Space", that sphere is rotated:'
      ''
      ''
      '1. Introduction.'
      ''
      '"ImmersionR3T6" is a workshop for the local differential'
      'geometry of three dimensional manifolds immersed in R^5.'
      'This and other programs by the same author can be obtained'
      'freely from the site'
      ''
      '<http://www.uv.es/montesin>'
      ''
      ''
      ''
      'Let  U  be an interval in R^2 and f: U -> R^6  be'
      'a smooth map given by'
      ''
      '   f(u,v)= (x1(u,v,w), ... , x6(u,v,w)).'
      ''
      'If  f  is an immersion we say that it defines an'
      'immersed submanifold  S  of R^6. Assume that'
      '   (e1, e2, e3) : U -> TS  is'
      'an orthonormal local frame of tangent vectors. For'
      'the record, "ImmersionR3T6" uses the Gram-Schmidt'
      'algorithm to build that frame based on the vector'
      'fields  D(f;u), D(f;v), D(f;w), so that for instance'
      ''
      '   e1 = D(f;u)/|D(f;u)|,'
      ''
      'where  D(f;u)  denotes the partial derivative of'
      'f  with respect to u.'
      ''
      'Let   s -> c(s)  be a smooth curve in  S'
      'parameterized by arc length. The normal component of'
      'its acceleration  c"(s) depends only on  c'#39'(s), and'
      'may be written as'
      ''
      '  II(c'#39'(s), c'#39'(s)).'
      ''
      'This defines a symmetric bilinear form on  S, denoted'
      '      II ,'
      'with values in the normal bundle of  S, called the'
      'Second Fundamental Form of  S. The tangent space'
      'T_pS  with its inner product, and the value  II_p'
      'of  II  at  p  encode the geometry of  S  near  p'
      'up to the second order. The othogonal complement of'
      'T_pS  is denoted by  N_pS  and called de normal'
      'space to  S  at  p.'
      ''
      'We consider the subset  V  of  N_pS, given as the'
      'image by  II_p  of the unit sphere  S^2  in  T_pS.'
      'Since II(v,v) = II(-v,-v), it is clear that  V'
      'is the image of the projective space  P_pS  defined'
      'as the set of vector lines in T_pS. Moreover, II_p(v,v)'
      'is  of degree two in the components of the vector'
      'v. Thus,  V  is the result of a quadratic map  of'
      'a two-dimensional real projective space to a  three'
      'dimensional real vector space  N_pN.  We call  V'
      'the "Veronese" of curvature of  S  at  p.'
      ''
      'The Focal set of  S  may be defined as follows. Let'
      'us consider the map  n: NS  -->  R^6, where  NS'
      'is the normal bundle over  S. That map is given by'
      '    n(u)= p + u,'
      'if   u   belongs to N_pS. The Focal set  F  of  S'
      'is the set of critical points of the map  n. Its'
      'intersection with  N_pS is an algebraic surface  F_p'
      'of degree three, that we call it the Focal set at  p.'
      ''
      '"ImmersionR3T6"  strives to provide a good-quality'
      'drawing of the Veronese of curvature or of the Focal'
      'set at any point of S  together with some invariants'
      'associated to the second fundamental form II_p.'
      'On the other hand,  F_p  is  unbounded. Therefore,'
      'the program draws only the part that is inside a cube'
      'centered at the origin of  N_pS. The user may make this'
      'cube greater of smaller by dragging the mouse up or'
      'down while keeping pressed the key <Shift>.'
      ''
      'In both cases, the program draws in a light green color'
      'a segment that represents the mean curvature vector. In'
      'the case of the Veronese, its tip is located more or less'
      'in the center of mass of the Veronese. In the Focal set'
      'case, its origin, which is the origin of N_pS, is the'
      'point around wich the figure rotates when moving it by'
      'right-dragging with the mouse.'
      ''
      'I have attached to the'
      'source of this program the memoir'
      ''
      '   "ComputationsOn3Subvarieties.pdf"'
      ''
      'on which it is detailed the computation of the Veronese'
      'of curvature, that of the Focal locus, and the definitions'
      'of some invariants. Since the study of the extrinsic'
      'differential geometry of subvarieties of this dimension'
      'and codimension is just only beginning, I have limited the'
      'data that the program computes to only a few items,'
      'in the hope that its users help me by sending their requests.'
      ''
      ''
      'Let us detail now its use.'
      ''
      ''
      ''
      '2. Input of formulas'
      ''
      'In the edit fields of the "ImmersionR3T6" window,'
      'labelled'
      ''
      '"x1(u,v,w)=", ... , "x6(u,v,w)=",'
      ''
      'you must write smooth functions on the variables'
      #39'u'#39', '#39'v'#39', '#39'w'#39'.'
      ''
      'The program is rather forgiving about the input'
      'of equations. That is, it knows about different'
      'spellings of some functions, say "arctan" = "atan".'
      'It does not need the times "*" symbol between'
      'factors nor even a space, except in very rare'
      'cases; however, if you feel more secure, put a'
      'space between factors. It recognizes the string'
      '"pi" as 3.1415... but not the Greek letter pi'
      'itself. But it does need that the arguments of'
      'functions be put between parentheses. It requires'
      'that numbers be input as in the following examples:'
      '    7.23'
      '    -5890.3'
      '    28'
      '    0.2345'
      'so that other formats like'
      '    .35'
      '    -0.762E-12'
      '    1,234.54'
      'will not be allowed. The decimal separator must be'
      'the dot.'
      ''
      'Besides the functions:'
      ''
      'plus (+), minus (-), times (*), divide (/), and'
      'power (a^b or a**b), you can use the following'
      'functions (after an equal sign between parentheses'
      'I have put different spellings that will be'
      'recognized):'
      ''
      '   sqr (square), sqrt (square root), sin (= sen), cos,'
      '   tan (= tg), cot (= cotan = cotg), arcsin (= asin'
      '   = arcsen = asen), arccos (= acos = arcos), arctan'
      '   (= atan = arctg), exp, ln (= log), sinh (= sh),'
      '   cosh (= ch), tanh (= th), arcsinh (= asinh = argsh),'
      '   arccosh (= acosh = argch), arctanh (= atanh ='
      '   argtanh = argth), abs (absolute value).'
      ''
      ''
      ''
      '3. Other input'
      ''
      'You must specify the domain where the functions live.'
      'You have for this an edit field at the left of the label'
      '"< u <" for input of the minimum value of  u, and'
      'other at right for the maximum value; and similar'
      'edit fields for the variables  v  and  w.'
      ''
      'Since at each time the program only draws things at'
      'a given point (u,v,w), you must specify also the values'
      'of the actual coordinates in the corresponding edit'
      'fields with labels  '#39'u='#39', '#39'v='#39', '#39'w='#39'.'
      ''
      'In all these edit fields you may use any formula with'
      'the syntax described above, but without any variables'
      'nor parameters. For example you are allowed to put'
      'cos(pi/sqrt(5))  for the maximum of the variable  u'
      'or for the value of  w.'
      ''
      ''
      'When you have completed the input, press the button'
      '"Enter" so that "ImmersionR3T6" is told to use that'
      'parameterization.'
      ''
      'Once the program has drawn the Veronese or the Focal'
      'set, you may obtain more data as follows. First, you can'
      'change the coordinates of the point  p  where that surface'
      'has been drawn. This you may do in two manners: first, by'
      'editing directly the values in the correspondint edit fields'
      'with labels '#39'u='#39','#39'v='#39' and '#39'w='#39'. And then, you may drag'
      'the mouse (that is, move it with the left button pressed)'
      'in the right panel that represents the domain: you will see'
      'then that the program changes the values of the coordinates'
      #39'u'#39' and '#39'v'#39' and draws the new surface accordingly. For the third'
      'coordinate, you may drag the cursor in the meter at right'
      'of the edit field labelled  '#39'w='#39'.'
      ''
      'When you move the mouse over the domain panel, or over the'
      'w-meter without pressing the button, "ImmersionR3T6" shows'
      'in the upper right panel the values of the coordinates and'
      'some invariants at the point where the mouse is at the moment.'
      'Note that these values are not the values at the point where the'
      'Veronese or the Focal locus has been drawn: that surface is'
      'synchronized with the values of the coordinates in their'
      'corresponding edit fields. On the contrary, the values'
      'in the upper panel are synchronized with the current position'
      'of the mouse in the domain panel.'
      ''
      'On changing the coordinate values as indicated, you may'
      'notice sudden jumps in the position of the surface. This'
      'is not a flaw but a necessity. In fact, for drawing the'
      'surface we need to define an orthonornal trihedron for the'
      'current normal space to the subvariety and far as I know,'
      'there is not a natural manner to do this. The program does'
      'the following: among the canonical vectors of R^6 we select'
      'the three ones that make greater angles with the tangent'
      'space to the subvariety, and then build the trihedron applying'
      'the Gram-Schmidt algorithm to those vectors. As the point'
      'on the subvariety changes, those three canonical vectors'
      'change at some points and this entails the sudden change'
      'of perspective.'
      ''
      'You may move in real time the Veronese of the Focal set in order'
      'to look at it from different viewpoints. To do this'
      'you must drag the mouse always with its right button pressed.'
      'If you simply do this, the program rotates the drawing. If you'
      'right-drag the mouse while pressing the <Ctrl> key, the drawing'
      'is displaced following the mouse.'
      ''
      'The result of right-draggint the mouse with the <Shift> key'
      'pressed depends on whether you are in the Veronese drawing or'
      'in the Focal drawing option (changeable via the menu "View").'
      'In the first case, the drawing is simply made bigger when the'
      'mouse is moved up or lesser if it is moved down. In the second'
      'case, the response to the movement of the mouse aims to overcome'
      'the limitations due to the non-compactness of the Focal locus.'
      
        'Thus, when the mouse moves up, the program makes bigger the doma' +
        'in'
      'in N_pN where the Focal locus is computed and drawn; the net'
      'result for the user is then that the features are made smaller'
      'but the drawing features a greater part ot the Focal locus. On'
      'the contrary, if the mouse is <Shift> + right-dragged down, the'
      'program decrements the size of the cube of N_pN where the Focal'
      'locus is calculated, so that the result is that the features'
      'are made bigger but there are less features to be seen.'
      ''
      ''
      '4. Output in the Function data panel'
      ''
      'When you move the mouse over the domain panel,'
      'the program shows in the upper right panel'
      '(the Function data panel) the values of some functions'
      'at the point of the domain signalled by the mouse and'
      'the current value of '#39'w'#39'. The same occurs when you'
      'move the mouse over the w-meter.'
      ''
      'The three first entries are simply the coordinates of'
      'the point of the domain signalled by the mouse.'
      ''
      'The second fundamental form may be seen as a linear map'
      'from the space of symmetric 2-contravariant tensors in'
      'T_pS, which is of dimension 6. The dimension of the image'
      'of that space is what the program calls "2nd Fundamental'
      'Form rank". Besides this, it can be shown that all the'
      'Veronese surface is generated by five vectors in N_pS.'
      'The rank of that system of vectors is what the program'
      'calls "Veronese rank."'
      ''
      'One third of the trace of the second fundamental form is'
      'the Mean curvature vector of N_pS. The program shows its'
      'length.'
      ''
      'Finally, the meaning of the "Mean curvature energy" is'
      'explained in the memoir  "ComputationsOn3Subvarieties.pdf"'
      'that accompanies the source code of this program.'
      ''
      ''
      '5. Output in the Tangent space panel.'
      ''
      'The menu in the Tangent Space window has two options,'
      '"Unit Tangent Sphere" and "Tangent Projective Space". When'
      'the first one is selected, the program draws curves and points'
      'in the sphere of unit radius of T_pS, according with the'
      'selected function under the menu "Data" in that same window.'
      'This sphere may be rotated by right-dragging the mouse along it.'
      ''
      'When the choice is "Tangent Projective Space", the program'
      'draws the same in the part of the tangent projective space'
      'defined by a disk on which two opposite points of its boundary'
      'are to be considered as identified.'
      ''
      'When the menu item "Parabolic and Singular Loci" is selected'
      'under the "Data" menu, the program draws, in fuchsia, the locus'
      'of points of  T_pS  that are applied by the second fundamental'
      'form into parabolic points of the Veronese.'
      ''
      'If the selected item is "Singular locus", the program draws'
      'three loci in different colors, one for each component of the'
      '"parameterized normal" of the Veronese. The Veronese is put'
      'in parametric form'
      '     (u,v)  -->  V(u,v).'
      'Then, we compute the cross product of the partial derivatives'
      'of  V   with respect to  u  and  v. The resulting vector in the'
      'normal space   N_pS  is what I call the "parameterized normal".'
      
        'The singular points will be detected as the point where the thre' +
        'e'
      'types of curves concur.'
      ''
      'The third option is "Asymptotic locus."  '
      ''
      ''
      'it The program expects that the first'
      'locus is made of a finite number of smooth arcs (the generic'
      'case), so that when the locus has nonempty interior the result'
      'is unpredictable, possibly a series of curling curves. In the'
      
        'same manner, the program expects the singular locus to be made o' +
        'f'
      'isolated points.'
      ''
      ''
      ''
      ''
      '6. Items under the menu "File"'
      ''
      ''
      '"Manual"'
      '   Opens this manual.'
      ''
      '"Open..."'
      '   For opening a file created by "ImmersionR3T6";'
      '   those files have extension  i36'
      ''
      '"Save" and "SaveAs..."'
      '   Only the basic input data are saved. If you need'
      '   to save also some drawings, please e-mail me and'
      '   I willingly shall reconsider this matter.'
      ''
      '"Print..."'
      '   Opens a dialog where you may select the resolution'
      '   that you prefer, the title and caption of the'
      '   printed page.'
      ''
      ''
      ''
      '7. Items under the menu "View"'
      ''
      'The window "Palettes" can be made visible by'
      'the corresponding item in the View menu. Its'
      'use is to change the gamuts on which the Veronese'
      'is drawn.'
      ''
      'The basic idea in the case of the surface is as'
      'follows. The 3D appearance of the surface is mainly'
      'due to its illumination. The program assigns a number'
      'to each pixel of the surface, in function of the'
      'light intensity that a camera should receive from'
      'that point. Let us call j that intensity, measured'
      'for example in the range 0...511. Then, the program'
      'finds in a look-up table with 512 entries(the gamut'
      'or palette) the color c(j) on which that pixel has'
      'to be rendered and sends it to the graphic card.'
      ''
      'In fact, there are two gamuts, one for each side'
      'of the surface. The Palette allows the user to'
      'change easily those gamuts in real time.'
      ''
      'The user will see in the Palette window a colored'
      'circle with something on it and a colored rectangle'
      'with a curve with control points. The circle is a'
      'representation of the available "hues" of the color'
      'system used by the monitor. The '#39'something'#39' is a curve'
      'with control points that may be changed by the user.'
      'That curve goes from a round point (its beginning,'
      'that is the color c(0), the color of darkest pixels)'
      'to a squared end point (the color c(511) on which'
      'the most illuminated pixel shall be rendered). With'
      'that curve, the user sets the hues of the gamut.'
      'Then the colors on the (ideal) horizontal mean line of'
      'the colored rectangle are the hues along the'
      'curve in the colored circle. The user may change then'
      'the brightness of each color c(j) by moving vertically'
      'the control points of the curve in that rectangle.'
      'These colors are updated in real time on the surface.'
      'If the user clicks with the mouse in any colored'
      'point of the window while maintaining pressed the'
      '<Alt> key, then the whole background of the surface'
      'changes to the color of that point.'
      ''
      'If the user drags the mouse on the colored circle,'
      'all the hues rotate. And if the user drags the mouse'
      'while presses the <Ctrl> key, then the whole curve'
      'is translated in the colored circle.'
      ''
      'For having a gamut of only one hue, you may click'
      'on any point of the circle while pressing the <Shift>'
      'key.'
      ''
      'The program draws the Veronese as a map from half of'
      'the sphere s^2_p to N_pS. The result then may be'
      'colored in different colors for the obverse and the'
      'reverse sides. But the fact is that the surface'
      '"glues" with itself in such a manner that it then has'
      'only one side. The menu gives the option between'
      'drawing the surface with only one color for the unique'
      'true side, of in two for the two false sides given'
      'by the parameterization.'
      ''
      'When you select the option "Veronese of curvature", the'
      'program draws the Veronese of curvature at the point'
      'signalled by the spot in the domain panel and the meter'
      'cursor or the w-coordinate (equivalently, to the values'
      'of the edit fields for '#39'u'#39','#39'v'#39',and '#39'w'#39'). If you select the'
      'option "Focal locus", the program draws the Focal locus'
      'instead.'
      ''
      'After some manipulations, the position of the "camera"'
      'that looks at the surface is changed from its initial'
      'position, and the same occurs to the size of the cube'
      'that is drawn in the "Focal locus" option. You can reset'
      'the camera to its original status by clicking in the'
      'menu item "ResetCameras". It is advisable to reset from'
      'time to time the camera in the Focal locus case in order'
      'to not make the cube too big or too small, compromising'
      'the accuracy of the computations.'
      ''
      ''
      '8. Thanks'
      ''
      'I would appreciate any bug reports, suggestions of'
      'new features or comments about the program or about'
      'the geometry that lies as its basement.'
      ''
      ''
      ''
      ''
      'Angel Montesinos-Amilibia,'
      'Madrid (Spain),'
      'April 21, 2009'
      ''
      'Other free programs:'
      '   http://www.uv.es/montesin'
      ''
      'e-mail address:'
      '   montesin@uv.es'
      ''
      'mail address:'
      '   Angel Montesinos'
      '   Doctor Mediavilla 8, bajo B'
      '   28048 Madrid'
      '   Spain')
    ParentFont = False
    ReadOnly = True
    ScrollBars = ssBoth
    TabOrder = 0
    WantReturns = False
    WordWrap = False
  end
end
