
{-----------------------------------------------------------------------------

 Unit Name: FYesNotCancel
 Project Name : ImmersionR3R6
 Author:    Angel Montesinos-Amilibia
 Date: 2009
Purpose: Implements a simple dialog with labels taken from the strings
  eYes, eSave, eCancel, eConfirm, eWantToSaveQ
-----------------------------------------------------------------------------}
{

ImmersionR3R6, workshop for the geometry of 3-submanifolds immersed in in R^6.

Copyright (C) 2009 Angel Montesinos Amilibia

This program is free software; you can redistribute it and/or modify it under
the terms of the GNU General Public License as published by the Free Software
Foundation; either version 2 of the License, or (at your option) any later
version.

This program is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
this program; if not, write to the Free Software Foundation,Inc.,
59 Temple Place, Suite 330, Boston, MA 02111-1307 USA


You can email me to:
     montesin@uv.es

Or write me to:
     Angel Montesinos
     Departamento de Geometria y Topologia
     Vicente Andrs Estells, 1
     46100 Burjasot (Valencia)
     Spain

}

unit FYesNotCancel;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TYesNotCancel = class(TForm)
    MessageLabel: TLabel;
    YesButton: TButton;
    NoButton: TButton;
    CancelButton: TButton;
    procedure OnCreateYesNotCancelDialog(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  YesNotCancel: TYesNotCancel;

implementation

{$R *.dfm}
uses
  ResourceStrings;

procedure TYesNotCancel.OnCreateYesNotCancelDialog(Sender: TObject);
begin
  YesButton.caption := eYes;
  CancelButton.Caption:= eCancel;
  caption := eConfirm;
  MessageLabel.caption := eWantToSaveQ;
end;

end.
 